from core.domains.plant.use_case.v1.plant_use_case import GetPlantCategoryUseCase
from core.use_case_output import UseCaseSuccessOutput


def test_us_get_plant_categories_then_success(session, create_plant_cateroies):
    results = GetPlantCategoryUseCase().execute()
    assert isinstance(results, UseCaseSuccessOutput)
